"use strict";
var __webpack_exports__ = {};
const e2e_namespaceObject = require("@tachybase/test/e2e");
e2e_namespaceObject.test.describe('where collapse block can be added', ()=>{
    (0, e2e_namespaceObject.test)('page', async (param)=>{
        let { page, mockPage } = param;
        await mockPage().goto();
        await page.getByLabel('schema-initializer-Grid-page:addBlock').hover();
        await (0, e2e_namespaceObject.createBlockInPage)(page, 'Collapse');
        await (0, e2e_namespaceObject.expect)(page.getByLabel('block-item-CardItem-users-filter-collapse')).toBeVisible();
    });
    (0, e2e_namespaceObject.test)('data selector popup', async (param)=>{
        let { page, mockPage } = param;
    });
});
e2e_namespaceObject.test.describe('configure fields', ()=>{
    (0, e2e_namespaceObject.test)('association fields & choices fields', async (param)=>{
        let { page, mockPage } = param;
        await mockPage(e2e_namespaceObject.oneEmptyFilterCollapseBlock).goto();
        await page.getByLabel('schema-initializer-AssociationFilter-AssociationFilter.FilterBlockInitializer-general').hover();
        await page.getByRole('menuitem', {
            name: 'Created by'
        }).click();
        await page.getByRole('menuitem', {
            name: 'Single select'
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Created by'
        }).getByRole('switch')).toBeChecked();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Single select'
        }).getByRole('switch')).toBeChecked();
        await page.mouse.move(300, 0);
        await (0, e2e_namespaceObject.expect)(page.getByRole('button', {
            name: 'Created by'
        })).toBeVisible();
        await (0, e2e_namespaceObject.expect)(page.getByRole('button', {
            name: 'Single select'
        })).toBeVisible();
        await page.getByLabel('schema-initializer-AssociationFilter-AssociationFilter.FilterBlockInitializer-general').hover();
        await page.getByRole('menuitem', {
            name: 'Created by'
        }).click();
        await page.getByRole('menuitem', {
            name: 'Single select'
        }).click();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Created by'
        }).getByRole('switch')).not.toBeChecked();
        await (0, e2e_namespaceObject.expect)(page.getByRole('menuitem', {
            name: 'Single select'
        }).getByRole('switch')).not.toBeChecked();
        await page.mouse.move(300, 0);
        await (0, e2e_namespaceObject.expect)(page.getByRole('button', {
            name: 'Created by'
        })).not.toBeVisible();
        await (0, e2e_namespaceObject.expect)(page.getByRole('button', {
            name: 'Single select'
        })).not.toBeVisible();
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
